Bug 24863 - QueryFuzzy syspref says it requires Zebra but Elasticsearch has some support
Summary: QueryFuzzy syspref says it requires Zebra but Elasticsearch has some support
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching - Elasticsearch (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Lisette Scheer
QA Contact:
URL:
Keywords: Manual
Depends on:
Blocks:
 
Reported: 2020-03-13 11:41 UTC by Nick Clemens
Modified: 2021-02-01 17:44 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.02,20.05.08,19.11.15


Attachments
Attachment to Bug 24863 - QueryFuzzy syspref says it requires Zebra but Elasticsearch has some support (1.77 KB, patch)
2020-10-24 19:33 UTC, Lisette Scheer
Details | Diff | Splinter Review
Bug 24863: QueryFuzzy syspref says it requires Zebra but ElasticSearch has some support. (1.84 KB, patch)
2020-11-03 21:14 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 24863: QueryFuzzy syspref says it requires Zebra but ElasticSearch has some support. (1.84 KB, patch)
2020-11-04 02:00 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 24863: QueryFuzzy syspref says it requires Zebra but ElasticSearch has some support. (1.89 KB, patch)
2020-12-29 13:08 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review
Bug 24863: QueryFuzzy syspref says it requires Zebra but ElasticSearch has some support. (1.95 KB, patch)
2020-12-29 13:09 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-03-13 11:41:08 UTC
The QueryFuzzy syspref affects zebra in that a fuzziness value is passed to the query, however, it simply allows or disallows the use of the fuzzy search option

To activate fuzziness on a term one must add '~'

Should turning on fuzziness do this automatically?
Comment 1 Lisette Scheer 2020-06-23 17:37:23 UTC
I think it would be very helpful for staff and patrons as our patrons won't know to do it and might get frustrated.
Comment 2 Andrew Fuerste-Henry 2020-06-23 17:52:35 UTC
If we make the syspref force all terms to be fuzzy when on, can we make it so that when the syspref is off the ~ still works to fuzzy an individual term? I agree that it's unreasonable to expect patrons to remember to use a fancy search trick like that, but I think the flexibility is good for staff users.
Comment 3 Lisette Scheer 2020-08-19 22:35:09 UTC
(In reply to Andrew Fuerste-Henry from comment #2)
> If we make the syspref force all terms to be fuzzy when on, can we make it
> so that when the syspref is off the ~ still works to fuzzy an individual
> term? I agree that it's unreasonable to expect patrons to remember to use a
> fancy search trick like that, but I think the flexibility is good for staff
> users.

Agreed, the flexibility is nice for staff but our patrons have been somewhat frustrated, espcially with titles that have apostrophes. 

(In reply to Nick Clemens from comment #0)
> The QueryFuzzy syspref affects zebra in that a fuzziness value is passed to
> the query, however, it simply allows or disallows the use of the fuzzy
> search option
> 
> To activate fuzziness on a term one must add '~'
> 
> Should turning on fuzziness do this automatically?

We have QueryFuzzy turned on and ~ does not seem to work to make a term fuzzy.
If it just did it automatically I think that would be better for our patrons.
Comment 4 Lisette Scheer 2020-10-22 20:15:31 UTC
I was doing it before a term rather than after, that is why it didn't work:

Jaspers day - no results
Jasper's Day - 4 results
Jaspers~ day - 172 results. (title that matches at the top.)
Comment 5 Lisette Scheer 2020-10-24 19:33:13 UTC
Created attachment 112393 [details] [review]
Attachment to Bug 24863 - QueryFuzzy syspref says it requires Zebra but Elasticsearch has some support

Bug 24863: QueryFuzzy syspref says it requires Zebra but ElasticSearch has some support.

This patch updates the description of the QueryFuzzy system preference
to make it more clear how it works with Zebra and how Elasticsearch has
some amount of fuzzy available for searches.

To test:
1. Go to administration
2. Search for QueryFuzzy
3. Observe the current description, which only includes Zebra.
4. Apply patch
5. Repeat steps 1-2
6. Observe the updated description.
7. Sign off
Comment 6 Andrew Fuerste-Henry 2020-11-03 21:14:44 UTC
Created attachment 112951 [details] [review]
Bug 24863: QueryFuzzy syspref says it requires Zebra but ElasticSearch has some support.

This patch updates the description of the QueryFuzzy system preference
to make it more clear how it works with Zebra and how Elasticsearch has
some amount of fuzzy available for searches.

To test:
1. Go to administration
2. Search for QueryFuzzy
3. Observe the current description, which only includes Zebra.
4. Apply patch
5. Repeat steps 1-2
6. Observe the updated description.
7. Sign off

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 7 Andrew Fuerste-Henry 2020-11-04 02:00:29 UTC
Created attachment 112970 [details] [review]
Bug 24863: QueryFuzzy syspref says it requires Zebra but ElasticSearch has some support.

This patch updates the description of the QueryFuzzy system preference
to make it more clear how it works with Zebra and how Elasticsearch has
some amount of fuzzy available for searches.

To test:
1. Go to administration
2. Search for QueryFuzzy
3. Observe the current description, which only includes Zebra.
4. Apply patch
5. Repeat steps 1-2
6. Observe the updated description.
7. Sign off

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 8 Victor Grousset/tuxayo 2020-12-29 13:08:45 UTC
Created attachment 114722 [details] [review]
Bug 24863: QueryFuzzy syspref says it requires Zebra but ElasticSearch has some support.

This patch updates the description of the QueryFuzzy system preference
to make it more clear how it works with Zebra and how Elasticsearch has
some amount of fuzzy available for searches.

To test:
1. Go to administration
2. Search for QueryFuzzy
3. Observe the current description, which only includes Zebra.
4. Apply patch
5. Repeat steps 1-2
6. Observe the updated description.
7. Sign off

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 9 Victor Grousset/tuxayo 2020-12-29 13:09:43 UTC
Created attachment 114723 [details] [review]
Bug 24863: QueryFuzzy syspref says it requires Zebra but ElasticSearch has some support.

This patch updates the description of the QueryFuzzy system preference
to make it more clear how it works with Zebra and how Elasticsearch has
some amount of fuzzy available for searches.

To test:
1. Go to administration
2. Search for QueryFuzzy
3. Observe the current description, which only includes Zebra.
4. Apply patch
5. Repeat steps 1-2
6. Observe the updated description.
7. Sign off

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Signed-off-by: Fridolin Somers <fridolin.somers@biblibre.com>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 10 Victor Grousset/tuxayo 2020-12-29 13:10:23 UTC
Thanks Fridolin for the proof reading :)
Comment 11 Jonathan Druart 2021-01-04 15:34:11 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 12 Fridolin Somers 2021-01-07 14:29:58 UTC
Trivial enhancement, I choose to backport.

Pushed to 20.11.x for 20.11.02
Comment 13 Andrew Fuerste-Henry 2021-01-12 14:39:36 UTC
Pushed to 20.05.x for 20.05.08
Comment 14 Victor Grousset/tuxayo 2021-02-01 17:44:18 UTC
Backported: Pushed to 19.11.x branch for 19.11.15